Bug 859460 - gnome-shell fix for polkit auth_admin authentication
gnome-shell fix for polkit auth_admin authentication
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F18Beta/F18BetaBlocker
  Show dependency treegraph
 
Reported: 2012-09-21 11:39 EDT by Kamil Páral
Modified: 2012-10-01 14:37 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-01 14:37:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2012-09-21 11:39:40 EDT
Description of problem:
This is a follow-up of bug 834494. As David says in bug 834494 comment 58, we need a following fix in gnome-shell so that our polkit authentication works:

http://git.gnome.org/browse/gnome-shell/commit/js/ui/components/polkitAgent.js?id=452ac297abb07acd4e4abd77a360ec4a0aa4ff44
Comment 1 Matthias Clasen 2012-09-26 12:56:28 EDT
That fix is included in the 3.6.0 packages that are in updates-testing now
Comment 2 Adam Williamson 2012-09-26 16:10:53 EDT
Discussed at 2012-09-26 blocker review meeting: http://meetbot.fedoraproject.org/fedora-qa/2012-09-26/f18-beta-blocker-review-1.2012-09-26-16.03.log.txt . Accepted as a blocker per criterion "The installed system must be able to download and install updates with yum and the default graphical package manager in all release-blocking desktops" , in the case where the person configuring the installation chooses to set a root password and not to create an admin user.
Comment 3 Kamil Páral 2012-10-01 14:37:41 EDT
gnome-shell 3.6.0 is already in stable, it contains the above fix and non-wheel user can use packagekit just OK, so I say this is fixed!

Note You need to log in before you can comment on or make changes to this bug.